apiVersion: tekton.dev/v1beta1
kind: Pipeline
metadata:
  name: docker-build
  namespace: ci
spec:
  params:
  - default: Dockerfile
    name: dockerfile
    type: string
  - default: .
    name: dockerroot
    type: string
  - default: ""
    description: Forces FROM in Dockerfile.
    name: fromimage
    type: string
  resources:
  - name: app-git
    type: git
  - name: app-image
    type: image
  tasks:
  - name: build
    params:
    - name: dockerfile
      value: $(params.dockerfile)
    - name: dockerroot
      value: $(params.dockerroot)
    - name: fromimage
      value: $(params.fromimage)
    - name: tlsverify
      value: "false"
    resources:
      inputs:
      - name: source
        resource: app-git
      outputs:
      - name: image
        resource: app-image
    taskRef:
      kind: Task
      name: docker-build-buildah
